#ifndef _IVBCNRO_
  #define _IVBCNRO_

#ifndef _ICNROBJ_
  #include <icnrobj.hpp>
#endif

#ifndef _IOBSERVR_
  #include <iobservr.hpp>
#endif

class IVBContainerObject : public IContainerObject, public IObserver {
public:
  IVBContainerObject       ( const IString&         string,
                             const IPointerHandle&  iconHandle = 0 );

IVBContainerObject
 &operator=                ( const IVBContainerObject&  aObject );

virtual IVBContainerObject
 &refreshFromObject        ( );
virtual IVBContainerObject
 &updateToObject           ( );

virtual IObserver
 &dispatchNotificationEvent( const INotificationEvent &anEvent );
IString
  asString                 ( ) const;

};  // IVBContainerObject
#endif
